<?PHP


function Activarmysql(){


$servername = "localhost";  

$username = "u748235332_trauma2025"; 

$pass = "*8tJIM12RG!";

$database = "u748235332_trauma2025";

$conexion = ($GLOBALS["___mysqli_ston"] = mysqli_connect($servername, $username, $pass, $database)) or die("problemas en la conexion de la Base de Datos");   	



}

	function GetQuery($vCampos, $vTabla, $vWhere, $vOrder){
		$conexion = Activarmysql();
	
		$Consulta = "SELECT ".($vCampos == NULL ? "*" : $vCampos)." FROM ".$vTabla.($vWhere == NULL ? "" : " WHERE ".$vWhere).($vOrder == NULL ? "" : " ORDER BY ".$vOrder);
		$Resultado = mysqli_query($GLOBALS["___mysqli_ston"],$Consulta);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Resultado;
	}

	function GetQuery2($Consulta){
		$conexion = Activarmysql();
		$Resultado = mysqli_query($GLOBALS["___mysqli_ston"],$Consulta);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Resultado;
	}

	function GetCantQuery2($Consulta){
		$conexion = Activarmysql();

		$Resultado = mysqli_num_rows(mysqli_query($GLOBALS["___mysqli_ston"],$Consulta));
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Resultado;
	}
	
	function GetFile($tabla, $where, $orden){
		$conexion = Activarmysql();
		$where = ($where == NULL or strlen(trim($where))==0) ? NULL : $where; 
		$orden = ($orden == NULL or strlen(trim($orden))==0) ? NULL : $orden; 
		$Instruccion = "Select * from ".$tabla;
		$Instruccion = $Instruccion . ($where != NULL ? " WHERE $where" : "");
		$Instruccion = $Instruccion . ($orden != NULL ? " ORDER BY $orden" : "");
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Datos;
	}

	function GetCantRegs($vTabla, $vWhere){
		$conexion = Activarmysql();
		$Consulta = "SELECT * FROM ".$vTabla.($vWhere == NULL ? "" : " WHERE ".$vWhere);
//		echo $Consulta;
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],$Consulta);
		$Cant = mysqli_num_rows($Datos);
		mysqli_free_result($Datos);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Cant;
	}

	function GetRegsEsp($Concep,$orden=NULL){
		$conexion = Activarmysql();
		$Instruccion = "Select * from t_afilrs where ".$Concep."!=''" . ($orden!=NULL ? " ORDER BY ".$orden : "");
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Datos;
	}

	function ExportRegsEsp($Concep,$file){
		$conexion = Activarmysql();
		$Instruccion = "Select * from t_afilrs where ".$Concep."!='' into outfile '".$file."'  FIELDS TERMINATED BY ',' LINES TERMINATED BY '\r\n'";
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		echo "<script> alert('Archivo creado en $file.'); </script>";
	}

	function GetCantRegsEsp($tabla, $Concep){
		$conexion = Activarmysql();
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],"Select * from ".$tabla." where ".$Concep."!=''");
		if ($Datos){
			$Cant = mysqli_num_rows($Datos);
			mysqli_free_result($Datos);
		} else 
			$Cant = 0;
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Cant;
	}

	function GetReg($tabla, $numreg){
		$conexion = Activarmysql();
	
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],"Select * from ".$tabla);
		mysqli_data_seek($Datos, $numreg-1);
		$Registro = mysqli_fetch_assoc($Datos);
		mysqli_free_result($Datos);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Registro;
	}

	function GetUser($vId){
	   $conexion = Activarmysql();
		$Instruccion = sprintf("Select * from tusuario where usuario='%s' and activo=1",$vId);
		$Usuarios = mysqli_query($GLOBALS["___mysqli_ston"], $Instruccion);  
		$Usuario = mysqli_fetch_assoc($Usuarios);
		mysqli_free_result($Usuarios);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Usuario;
	}

	function AddTrabajo($vCodigo, $vFecha, $vTitulo, $vCod_tipo_competicion_propuesto,$vCod_tipo_presentacion_propuesto,$vCod_tipo_presentacion_aprobado, $vIntroduccion, $vMateriales, $vResultados, $vConclusiones,$vBeca,$vArchivo, $vNro_autores, $vOrganizacion, $vEmail, $vPais, $vCiudad, $vArea_Tematica, $vEstado){
		$Insertado = false;
		$conexion = Activarmysql();
		
		$instruccion = "INSERT INTO `conta20_trauma2018`.`ttrabajo` (`id`, `codigo`, `fecha`, `titulo`,`cod_tipo_competicion_propuesto`,`cod_tipo_presentacion_propuesto`, `cod_tipo_presentacion_aprobado`, `introduccion`, `materiales`, `resultados`, `conclusiones`, `beca`,`archivo`,`nro_autores`, `organizacion`, `email`, `pais`, `ciudad`, `area_tematica`, `estado`, `activo`) VALUES ('', '".$vCodigo."', '".$vFecha."', '".$vTitulo."', '".$vCod_tipo_competicion_propuesto."','".$vCod_tipo_presentacion_propuesto."',NULL, '".$vIntroduccion."', '".$vMateriales."', '".$vResultados."', '".$vConclusiones."','".$vBeca."','".$vArchivo."','".$vNro_autores."', '".$vOrganizacion."', '".$vEmail."', '".$vPais."', '".$vCiudad."', '".$vArea_Tematica."', '".$vEstado."', '1');";
		
//		echo $instruccion;	
		$Insertado = mysqli_query($GLOBALS["___mysqli_ston"],$instruccion);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Insertado;
	}

	function AddAutores($vCodTrabajo, $vNro, $vTitulo, $vNombre, $vApellidos, $vPonente,  $vCorresponsal, $vMiembroSPT, $vFellow,$vFecha, $vPais, $vDestino,$vtipoP1,$vNombre_patrocinador,$vEmail_patrocinador,$vEmail_autor){
		$Insertado = false;
		$conexion = Activarmysql();
	
		$Instruccion = "INSERT INTO `conta20_trauma2018`.`ttrabajo_autores` (`id`, `cod_trabajo`, `nro_autor`, `titulo`, `nombre`, `apellidos`,  `ponente`,`corresponsal`, `miembro_SPT`,  `fellow`, `fecha`, `pais`, `destino`,`tipo_miembro_SPT`,`nombre_patrocinador`,`email_patrocinador`,`email_autor`) values ('', '".$vCodTrabajo."', '".$vNro."', '".$vTitulo."', '".$vNombre."', '".$vApellidos."','".$vPonente."','".$vCorresponsal."','".$vMiembroSPT."','".$vFellow."','".$vFecha."','".$vPais."','".$vDestino."','".$vtipoP1."', '".$vNombre_patrocinador."','".$vEmail_patrocinador."','".$vEmail_autor."')";
//		echo $instruccion;	
		$Insertado = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Insertado;
	}

	function DelUser($vTipo, $vId){
		$Existe = GetUser($vTipo, $vId);
		$Eliminado = false;
		if ($Existe){
			$conexion = Activarmysql();
	
			$Instruccion = sprintf("Delete from tintsiis where tipouser='%s' and idenuser='%s'",$vTipo,transfor($vId));
			$Eliminado = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
			mysqli_close($GLOBALS["___mysqli_ston"]);
		}
		return $Eliminado;	
	}

	function UpdateUser($vTipo, $vId, $v_tipouser, $v_idenuser, $v_nombuser, $v_pswduser){
		$Actualizado = false;
		$Existe = GetUser($vTipo, $vId);
		if ($Existe){
			$conexion = Activarmysql();
	
			$v_tipouser = trim($v_tipouser);
			$v_idenuser = transfor($v_idenuser);
			$v_nombuser = transfor(strtoupper(trim($v_nombuser)));
			$v_pswduser = transfor($v_pswduser);
			$vTipo = trim($vTipo);
			$vId = transfor($vId);
			$Instruccion = "Update tintsiis set tipouser='$v_tipouser', idenuser='$v_idenuser', nombuser='$v_nombuser', pswduser='$v_pswduser' where tipouser='$vTipo' and idenuser='$vId';";
			echo $Instruccion;
			$Actualizado = mysqli_query($GLOBALS["___mysqli_ston"],$instruccion);
			
			mysqli_close($GLOBALS["___mysqli_ston"]);
		}
		return $Actualizado;
	}

	function AsignarConsecutivos(){
		$conexion = Activarmysql();

		$Afiliados = mysqli_query($GLOBALS["___mysqli_ston"],"Select * from t_afilrs");
		$i = 0;
		while ($Afiliado = mysqli_fetch_assoc($Afiliados)) {
			$i = $i + 1;
			mysqli_data_seek($Datos, $numreg-1);
			$Actualizado = mysqli_query($GLOBALS["___mysqli_ston"],"UPDATE t_afilrs SET consecut='$i'");
		}
		mysqli_free_result($Afiliados);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Actualizado;
	}

	function UpdateReg($vTabla, $vCampo, $vValor, $vWhere){
		$conexion = Activarmysql();
	
		$Instruccion = "UPDATE ".$vTabla." SET ".$vCampo."= ".($vValor===NULL ? 'NULL' : "'".$vValor."'").($vWhere==NULL ? "" : " WHERE ".$vWhere);
//		echo $Instruccion."<br>";
		$Actualizado = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Actualizado;
	}

	function UpdateRegEsp($vTabla, $vSet, $vWhere){
		$conexion = Activarmysql();

		$Instruccion = "UPDATE ".$vTabla." SET ".$vSet.($vWhere==NULL ? "" : " WHERE ".$vWhere);
//		echo $Instruccion."<br>";
		$Actualizado = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Actualizado;
	}

	function GetDatUser($usr, $col){
		$retorno = NULL;
		$Usuario = GetUser($usr);
		if ($Usuario){
			switch ($col){
				case 1:	$retorno = $Usuario["id"];
						break;
				case 2:	$retorno = $Usuario["tipousuario"];
						break;
				case 4:	$retorno = $Usuario["contrasena"];
						break;
				case 5:	$retorno = $Usuario["nombre"];
						break;
				case 7:	$retorno = $Usuario["correo"];
						break;
				case 8:	$retorno = $Usuario["cod_ciudad"];
						break;
				case 9:	$retorno = $Usuario["areas"];
						break;
			}
		}
		return trim($retorno);
	}

/*	function validar_usuario(){
		$retorno = "";
		$contra = getDatUser($_SESSION['usr'], 4);
		switch ($contra){
			case $_SESSION['psw']:	$retorno = 1; //Acceso autorizado
						break;
			case NULL:	$retorno = 3;	//No existe ese usuario
						break;
			default:	$retorno = 4; //Acceso denegado
						break;
		}
		return $retorno;
	}	*/
	
		function validar_usuario(){
		$retorno = "";
		if (trim($_SESSION['usr'])=="" || trim($_SESSION['psw'])=="")
			$retorno = 0;
		else {
			$contra = GetDatUser($_SESSION['usr'], 4);
			switch ($contra){
				case $_SESSION['psw']:	$retorno = 1; //Acceso autorizado
							break;
				case NULL:	$retorno = 2;	//No existe ese usuario
							break;
				default:	$retorno = 3; //Acceso denegado
							break;
			}
		}
		return $retorno;
	}	

	function GetDato($vTabla, $vCampoBusqueda, $vValorCampo, $vCampoRetorno){
		$conexion = Activarmysql();

		$Instruccion = sprintf("SELECT * FROM %s WHERE %s='%s'",$vTabla, $vCampoBusqueda, $vValorCampo);
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
		$Dato = mysqli_fetch_assoc($Datos);
		$Valor = $Dato[$vCampoRetorno];
		mysqli_free_result($Datos);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Valor;
	}

	function GetDato2($vTabla, $vWhere, $vOrder, $vCampoRetorno){
		$conexion = Activarmysql();
	
		$Consulta = "SELECT * FROM ".$vTabla.($vWhere!=NULL?" WHERE ".$vWhere : "").($vOrder!=NULL?" ORDER BY ".$vOrder : "");
//		$Instruccion = sprintf("SELECT * FROM %s WHERE %s='%s'",$vTabla, $vCampoBusqueda, $vValorCampo);
		$Datos = mysqli_query($GLOBALS["___mysqli_ston"],$Consulta);
		$Dato = mysqli_fetch_assoc($Datos);
		$Valor = $Dato[$vCampoRetorno];
		mysqli_free_result($Datos);
		mysqli_close($GLOBALS["___mysqli_ston"]);
		return $Valor;
	}

	function AddDato($vCod, $vDesc){
		$Existe = GetDato($vCod);
		$Insertado = false;
		if (!$Existe){
			$conexion = Activarmysql();
		
			$instruccion = "insert into ".$_SESSION['05_tabla']." (codigo, descrip) values ('" . 
							strtoupper(trim($vCod)) . "', '" . trim($vDesc) . "')";
			$Insertado = mysqli_query($GLOBALS["___mysqli_ston"],$instruccion);
			mysqli_close($GLOBALS["___mysqli_ston"]);
		}
		return $Insertado;
	}
	
	function DelDato($vCod){
		$Existe = GetDato($vCod);
		$Eliminado = false;
		if ($Existe){
			$conexion = Activarmysql();
	
			$Instruccion = sprintf("Delete from ".$_SESSION['05_tabla']." where codigo='%s'",$vCod);
			$Eliminado = mysqli_query($GLOBALS["___mysqli_ston"],$Instruccion);
			mysqli_close($GLOBALS["___mysqli_ston"]);
		}
		return $Eliminado;	
	}

	function Texto($Actual, $Nuevo, $Separador){
		if (strlen($Actual)===0) 
			$Actual = $Nuevo; 
		else 
			$Actual = $Actual . $Separador . $Nuevo; 
		return $Actual;
	}
	
	function Is_Registred($valor,$tabla){
		$Archivo = GetFile($tabla,"codigo");
		$IsRegistred = false;
		while ($Registro = mysqli_fetch_assoc($Archivo) and !$IsRegistred) {
			if ($Registro['codigo']==="$valor") $IsRegistred = true;
		}
		mysqli_free_result($Archivo);
		return $IsRegistred;
	}
	
	function edad($FechaNacimiento){
		$FechaActual = getdate();
		$YearActual = $FechaActual['year'];
		$MesActual 	= $FechaActual['mon'];
		$DiaActual 	= $FechaActual['mday'];
		$Year 	= $YearActual - strval(substr($FechaNacimiento,6,4));
		$Mes 	= $MesActual - strval(substr($FechaNacimiento,3,2));
		$Dia	= $DiaActual - strval(substr($FechaNacimiento,0,2));
		$edad = $Year;
		if ($Mes<0)				$edad = $edad - 1;
		if ($Mes==0 and $Dia<0)	$edad = $edad - 1;
		if ($edad<0)			$edad = 0;
		return $edad;
	}

	function Is_Date($texto){
		$meses = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
		$IsDate = false;
		if (strlen($texto)===10){
			$dia 	= substr($texto,0,2);
			$div1	= substr($texto,2,1);
			$mes	= substr($texto,3,2);
			$div2	= substr($texto,5,1);
			$a�o	= substr($texto,6,4);
			
			if (is_numeric($dia) and $div1==="/" and is_numeric($mes) and $div2==="/" and is_numeric($a�o) and strval($mes)<13){
				if (fmod(strval($a�o),4)===0)	$meses[1] = 29;
				if (strval($dia) <= $meses[strval($mes)-1]) $IsDate = true;
			}
		}
		return $IsDate;
	}
	
	function Is_Alpha1($texto){
		$texto = trim($texto);
		$IsAlpha = true;
		for ($i=strlen($texto) ; i>0 ; $i--){
			$caracter = substr($texto,$i-1,1);
			
			if ((ord($caracter)>64 and ord($caracter)<91) or in_array($caracter,array(' ','�')))
				$IsAlpha = true;
			else
				$IsAlpha = false;
			if (!$IsAlpha) $i = strlen($texto);
		}
		return $IsAlpha;
	}

	function Is_Alpha($texto){
		$IsAlpha = true;
		$caracteres = array('ABCDEFGHIJKLMN�OPQRSTUVWXYZ ', $texto);
		foreach ($caracteres as $caracter) {
			if (ctype_alpha($caracter)) {
				$IsAlpha = true;
			} else {
				$IsAlpha = false;
			}
		}
		return $IsAlpha;
	}
	
	function StrDatetoVal($Fecha){
		$Fecha = trim($Fecha);
		$dia = substr($Fecha,0,2);
		$mes = substr($Fecha,3,2);
		$a�o = substr($Fecha,6,4);
		return strval($a�o.$mes.$dia);
	}
	
	function DatetoVal($Fecha){
		$dia = ($Fecha['mday']);
		$mes = $Fecha['mon'];
		$a�o = $Fecha['year'];
		return $a�o*10000+$mes*100+$dia;
	}
	
function AsignarTrabajo($Trabajo, $NroEvaluador, $Comparar){
		$Evaluador = "";
		$vEvaluadores = GetFile("tusuario", "activo=1 and tipousuario = 'E' and areas like '%".$Trabajo['area_tematica']."%' and cod_ciudad!='".$Trabajo['ciudad']."'", "cant_trabajos");
		$Salir = 0;
		$vEvaluador = mysqli_fetch_assoc($vEvaluadores);		

		if ($vEvaluador['id']==$Comparar) $vEvaluador = mysqli_fetch_assoc($vEvaluadores);		

	//	UpdateReg("ttrabajo", ($NroEvaluador===1 ? "evaluador1" : "evaluador2"), $vEvaluador['id'], "id='".$Trabajo['id']."'");
       UpdateReg("ttrabajo", ($NroEvaluador===1 ? "evaluador1" :($NroEvaluador===2?"evaluador2":"evaluador3")), $vEvaluador['id'], "id='".$Trabajo['id']."'");
		
	//	UpdateReg("ttrabajo", (if ($NroEvaluador===1) { "evaluador1"; } elseif($NroEvaluador===2){"evaluador2"; }else($NroEvaluador===3){"evaluador3"; }), $vEvaluador['id'], "id='".$Trabajo['id']."'");
		UpdateReg("tusuario", "cant_trabajos", GetDato("tusuario", "id", $vEvaluador['id'], "cant_trabajos") + 1, "id='".$vEvaluador['id']."'");
		$Evaluador = $vEvaluador['id'];
		$Salir = 1;
		mysqli_free_result($vEvaluadores);
		return $Evaluador;
	}
?>